> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar URL de Webhook

> Use este endpoint para atualizar uma URL de webhook específica.



## OpenAPI

````yaml api-reference/openapi.json put /webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /webhooks/{webhook_id}:
    put:
      tags:
        - Webhooks
      summary: Atualizar URL de Webhook
      description: Use este endpoint para atualizar uma URL de webhook específica.
      operationId: update_webhook_url_webhooks__webhook_id__put
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookUrlUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookUrlResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    WebhookUrlUpdateRequest:
      properties:
        webhook_url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Webhook Url
          description: Nova URL do webhook
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Status ativo/inativo
      type: object
      title: WebhookUrlUpdateRequest
    WebhookUrlResponse:
      properties:
        id:
          type: string
          title: Id
          description: ID único da configuração de webhook
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: URL do webhook
        active:
          type: boolean
          title: Active
          description: Status ativo/inativo do webhook
        created_at:
          type: string
          title: Created At
          description: Data de criação
      type: object
      required:
        - id
        - webhook_url
        - active
        - created_at
      title: WebhookUrlResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.